# Form implementation generated from reading ui file 'src/eric7/VirtualEnv/VirtualenvManagerWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_VirtualenvManagerWidget(object):
    def setupUi(self, VirtualenvManagerWidget):
        VirtualenvManagerWidget.setObjectName("VirtualenvManagerWidget")
        VirtualenvManagerWidget.resize(700, 500)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(VirtualenvManagerWidget)
        self.verticalLayout_2.setContentsMargins(0, 3, 0, 0)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        spacerItem = QtWidgets.QSpacerItem(28, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem)
        self.refreshButton = QtWidgets.QToolButton(parent=VirtualenvManagerWidget)
        self.refreshButton.setObjectName("refreshButton")
        self.horizontalLayout_2.addWidget(self.refreshButton)
        self.line_2 = QtWidgets.QFrame(parent=VirtualenvManagerWidget)
        self.line_2.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line_2.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line_2.setObjectName("line_2")
        self.horizontalLayout_2.addWidget(self.line_2)
        self.addButton = QtWidgets.QToolButton(parent=VirtualenvManagerWidget)
        self.addButton.setText("")
        self.addButton.setObjectName("addButton")
        self.horizontalLayout_2.addWidget(self.addButton)
        self.newButton = QtWidgets.QToolButton(parent=VirtualenvManagerWidget)
        self.newButton.setObjectName("newButton")
        self.horizontalLayout_2.addWidget(self.newButton)
        self.searchNewButton = QtWidgets.QToolButton(parent=VirtualenvManagerWidget)
        self.searchNewButton.setObjectName("searchNewButton")
        self.horizontalLayout_2.addWidget(self.searchNewButton)
        self.line_6 = QtWidgets.QFrame(parent=VirtualenvManagerWidget)
        self.line_6.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line_6.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line_6.setObjectName("line_6")
        self.horizontalLayout_2.addWidget(self.line_6)
        self.editButton = QtWidgets.QToolButton(parent=VirtualenvManagerWidget)
        self.editButton.setObjectName("editButton")
        self.horizontalLayout_2.addWidget(self.editButton)
        self.upgradeButton = QtWidgets.QToolButton(parent=VirtualenvManagerWidget)
        self.upgradeButton.setObjectName("upgradeButton")
        self.horizontalLayout_2.addWidget(self.upgradeButton)
        self.line_3 = QtWidgets.QFrame(parent=VirtualenvManagerWidget)
        self.line_3.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line_3.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line_3.setObjectName("line_3")
        self.horizontalLayout_2.addWidget(self.line_3)
        self.removeButton = QtWidgets.QToolButton(parent=VirtualenvManagerWidget)
        self.removeButton.setObjectName("removeButton")
        self.horizontalLayout_2.addWidget(self.removeButton)
        self.removeAllButton = QtWidgets.QToolButton(parent=VirtualenvManagerWidget)
        self.removeAllButton.setObjectName("removeAllButton")
        self.horizontalLayout_2.addWidget(self.removeAllButton)
        self.line_4 = QtWidgets.QFrame(parent=VirtualenvManagerWidget)
        self.line_4.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line_4.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line_4.setObjectName("line_4")
        self.horizontalLayout_2.addWidget(self.line_4)
        self.deleteButton = QtWidgets.QToolButton(parent=VirtualenvManagerWidget)
        self.deleteButton.setObjectName("deleteButton")
        self.horizontalLayout_2.addWidget(self.deleteButton)
        self.deleteAllButton = QtWidgets.QToolButton(parent=VirtualenvManagerWidget)
        self.deleteAllButton.setObjectName("deleteAllButton")
        self.horizontalLayout_2.addWidget(self.deleteAllButton)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem1)
        self.verticalLayout_2.addLayout(self.horizontalLayout_2)
        self.venvList = QtWidgets.QTreeWidget(parent=VirtualenvManagerWidget)
        self.venvList.setAlternatingRowColors(True)
        self.venvList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.venvList.setRootIsDecorated(False)
        self.venvList.setItemsExpandable(False)
        self.venvList.setAllColumnsShowFocus(True)
        self.venvList.setObjectName("venvList")
        self.verticalLayout_2.addWidget(self.venvList)
        self.groupBox = QtWidgets.QGroupBox(parent=VirtualenvManagerWidget)
        self.groupBox.setMaximumSize(QtCore.QSize(16777215, 150))
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.descriptionEdit = QtWidgets.QPlainTextEdit(parent=self.groupBox)
        self.descriptionEdit.setReadOnly(True)
        self.descriptionEdit.setObjectName("descriptionEdit")
        self.verticalLayout.addWidget(self.descriptionEdit)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.line = QtWidgets.QFrame(parent=VirtualenvManagerWidget)
        self.line.setLineWidth(1)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout_2.addWidget(self.line)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_2 = QtWidgets.QLabel(parent=VirtualenvManagerWidget)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout.addWidget(self.label_2)
        self.envBaseDirectoryPicker = EricPathPicker(parent=VirtualenvManagerWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.envBaseDirectoryPicker.sizePolicy().hasHeightForWidth())
        self.envBaseDirectoryPicker.setSizePolicy(sizePolicy)
        self.envBaseDirectoryPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.WheelFocus)
        self.envBaseDirectoryPicker.setObjectName("envBaseDirectoryPicker")
        self.horizontalLayout.addWidget(self.envBaseDirectoryPicker)
        self.saveButton = QtWidgets.QToolButton(parent=VirtualenvManagerWidget)
        self.saveButton.setObjectName("saveButton")
        self.horizontalLayout.addWidget(self.saveButton)
        self.verticalLayout_2.addLayout(self.horizontalLayout)

        self.retranslateUi(VirtualenvManagerWidget)
        QtCore.QMetaObject.connectSlotsByName(VirtualenvManagerWidget)
        VirtualenvManagerWidget.setTabOrder(self.venvList, self.refreshButton)
        VirtualenvManagerWidget.setTabOrder(self.refreshButton, self.addButton)
        VirtualenvManagerWidget.setTabOrder(self.addButton, self.newButton)
        VirtualenvManagerWidget.setTabOrder(self.newButton, self.searchNewButton)
        VirtualenvManagerWidget.setTabOrder(self.searchNewButton, self.editButton)
        VirtualenvManagerWidget.setTabOrder(self.editButton, self.upgradeButton)
        VirtualenvManagerWidget.setTabOrder(self.upgradeButton, self.removeButton)
        VirtualenvManagerWidget.setTabOrder(self.removeButton, self.removeAllButton)
        VirtualenvManagerWidget.setTabOrder(self.removeAllButton, self.deleteButton)
        VirtualenvManagerWidget.setTabOrder(self.deleteButton, self.deleteAllButton)
        VirtualenvManagerWidget.setTabOrder(self.deleteAllButton, self.descriptionEdit)
        VirtualenvManagerWidget.setTabOrder(self.descriptionEdit, self.envBaseDirectoryPicker)
        VirtualenvManagerWidget.setTabOrder(self.envBaseDirectoryPicker, self.saveButton)

    def retranslateUi(self, VirtualenvManagerWidget):
        _translate = QtCore.QCoreApplication.translate
        self.refreshButton.setToolTip(_translate("VirtualenvManagerWidget", "Press to refresh the list of virtual environments"))
        self.addButton.setToolTip(_translate("VirtualenvManagerWidget", "Press to add an existing virtual environment"))
        self.newButton.setToolTip(_translate("VirtualenvManagerWidget", "Press to create a new virtual environment"))
        self.searchNewButton.setToolTip(_translate("VirtualenvManagerWidget", "Search the execution path for all Python interpreters not configured in an environment yet."))
        self.editButton.setToolTip(_translate("VirtualenvManagerWidget", "Press to edit the selected virtual environment"))
        self.upgradeButton.setToolTip(_translate("VirtualenvManagerWidget", "Press to upgrade the selected virtual environment"))
        self.removeButton.setToolTip(_translate("VirtualenvManagerWidget", "Press to remove the selected virtual environments"))
        self.removeAllButton.setToolTip(_translate("VirtualenvManagerWidget", "Press to remove all virtual environments"))
        self.deleteButton.setToolTip(_translate("VirtualenvManagerWidget", "Press to remove the selected virtual environments and delete them"))
        self.deleteAllButton.setToolTip(_translate("VirtualenvManagerWidget", "Press to remove all virtual environments and delete them"))
        self.venvList.setSortingEnabled(True)
        self.venvList.headerItem().setText(0, _translate("VirtualenvManagerWidget", "Name"))
        self.venvList.headerItem().setText(1, _translate("VirtualenvManagerWidget", "Directory"))
        self.venvList.headerItem().setText(2, _translate("VirtualenvManagerWidget", "Interpreter"))
        self.groupBox.setTitle(_translate("VirtualenvManagerWidget", "Description"))
        self.label_2.setText(_translate("VirtualenvManagerWidget", "Base Directory:"))
        self.envBaseDirectoryPicker.setToolTip(_translate("VirtualenvManagerWidget", "Enter the base directory of the virtual environments"))
        self.saveButton.setToolTip(_translate("VirtualenvManagerWidget", "Press to save the base directory"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
